automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Fix AC_CONFIG_LINKS brokenness when source is variable


From: Paolo Bonzini
Subject: Fix AC_CONFIG_LINKS brokenness when source is variable
Date: Wed, 03 Dec 2003 15:41:00 +0100
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021226 Debian/1.2.1-9

The attached patch is quite obvious, so I don't think it would mean another beta cycle, nevertheless sorry for not trying earlier betas.

Paolo

2003-12-03  Paolo Bonzini  <address@hidden>

       * automake.in (handle_configure): Do not require link sources
       if they contain a dollar.

diff -rNU3 automake-1.7h-orig/automake.in automake-1.7h/automake.in
--- automake-1.7h-orig/automake.in      2003-12-03 14:31:37.000000000 +0100
+++ automake-1.7h/automake.in   2003-12-03 14:38:33.000000000 +0100
@@ -3816,8 +3816,10 @@
            }
        }
 
-      # Require all input files.
-      require_file ($where, FOREIGN, $local);
+      # Require all input files, unless they are expanded from a
+      # shell variable.
+      require_file ($where, FOREIGN, $local)
+       unless $local =~ /\$/;
   }
 
   # These files get removed by "make distclean".
diff -rNU3 automake-1.7h-orig/tests/Makefile.am automake-1.7h/tests/Makefile.am
--- automake-1.7h-orig/tests/Makefile.am        2003-12-03 14:31:35.000000000 
+0100
+++ automake-1.7h/tests/Makefile.am     2003-12-03 14:33:55.000000000 +0100
@@ -133,6 +133,7 @@
 confincl.test \
 conflnk.test \
 conflnk2.test \
+conflnk3.test \
 confsub.test \
 confvar.test \
 confvar2.test \
diff -rNU3 automake-1.7h-orig/tests/conflnk3.test 
automake-1.7h/tests/conflnk3.test
--- automake-1.7h-orig/tests/conflnk3.test      1970-01-01 01:00:00.000000000 
+0100
+++ automake-1.7h/tests/conflnk3.test   2003-12-03 14:37:13.000000000 +0100
@@ -0,0 +1,53 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING.  If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Test to make sure that AC_CONFIG_LINKS using a variable source
+# is not broken.
+
+. ./defs || exit 1
+
+set -e
+
+cat > Makefile.am << 'END'
+SUBDIRS = sdir
+test: distdir
+       if test -f $(distdir)/dest3; then exit 1; else :; fi
+       if test -f $(distdir)/dest2; then exit 1; else :; fi
+       test -f $(distdir)/src2
+END
+
+: > src
+: > src2
+mkdir sdir
+: > sdir/Makefile.am
+: > sdir/src3
+
+cat >>configure.in << 'EOF'
+AC_CONFIG_FILES(sdir/Makefile)
+my_src_dir=sdir
+AC_CONFIG_LINKS(sdir/dest2:src2 sdir/dest3:$my_src_dir/src3)
+AC_OUTPUT
+EOF
+
+$ACLOCAL
+$AUTOMAKE
+$AUTOCONF
+./configure
+$MAKE test

reply via email to

[Prev in Thread] Current Thread [Next in Thread]